# Enable or Disable Push Notifications

If you would like to disable or enable push notifications at runtime, this method would do the trick.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

<pre class="language-swift"><code class="lang-swift"><strong>Replies.pushNotificationsEnabled = false
</strong></code></pre>

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQReplies setPushNotificationsEnabled:NO];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Replies.setInAppNotificationEnabled(false);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Replies.setInAppNotificationEnabled(false)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Replies.setPushNotificationsEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-replies/push-notifications/enable-or-disable-push-notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
